Bug 221255 - Feature request: Update history
Feature request: Update history
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-03 06:18 EST by Karl Lattimer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 11:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karl Lattimer 2007-01-03 06:18:43 EST
The new update details in the package updater are very useful. However it would
also be advantageous to have a history of previously installed updates.
Including more information about the original package version and the new
package version. Currently when fedora styled update detail is shown the package
versions are not displayed. This can make it difficult to track the changes
between package versions in the event that an update breaks a package.
Comment 1 Dave Malcolm 2007-03-31 12:53:12 EDT
Thinking aloud, how about adding a "History" or "Recent Changes" tab that shows
a time-based view of what happened.

One idea I've got is to show a timeline of the things that have changed, showing
something like this:

+ Today (Saturday March 31st)
   
  + 12.14pm - 12.15pm:  
     Installed Eric  (SUMMARY GOES HERE)
     Removed Sprog   (SUMMARY GOES HERE)
     2 dependencies installed (LINK TO DETAILS)

+ Yesterday (Friday March 30th)
  + 6.59pm: Updated 5 packages (DISCLOSURE TRIANGLE FOR DETAILS?)
    Updated: file.i386 4.19-2.fc6
    Updated: Django.noarch 0.96-1.fc6
    Updated: yum.noarch 3.0.5-1.fc6
    Updated: yum-updatesd.noarch 3.0.5-1.fc6
    Updated: Django-docs.noarch 0.96-1.fc6

  + 5.35pm - 5.45pm:
     Installed TurboGears (SUMMARY GOES HERE)
     15 dependencies installed (LINK TO DETAILS)

Thursday March 29th:
   + 8.58am:  Updated 30 packages
     (details)

With a filter entry box at the top allowing the user to view changes to
individual packages (with name-completion based on the list of all packages)

Each reference to a package could have a checkbox, allowing one to select to
removed installed packages and reinstall removed packages.

However, implementation-wise, I believe it would have to scour /var/log/yum.log,
and all we have there is a timestamped list of "Updated", "Installed", "Erased"
events.   So I don't think we've got enough implementation to implement this on
actual transactions, merely periods of activity.

You could also have a per-package window, available when clicking on an
individual package, giving a timeline of all events relating to that package
name (installs, updates, removals) etc
Comment 2 Karl Lattimer 2007-04-01 06:43:25 EDT
Why not improve yum's logging capability, and implement those features in pirut. 

Surely its not that difficult to improve the log files details. 

For instance, how about adding log details like these

Nov 29 22:32:46 Yum updatesd reports packages available for updates
Nov 29 22:38:36 Yum update session initiated by user klattimer through pirut
Nov 29 22:41:41 Yum is locked for the duration of this operation.
Nov 29 22:42:44 Dependency Installed: system-config-printer-libs.i386 0.7.40-1.fc6
Nov 29 22:52:47 Obsolete removed: nfs-utils.i386 1.0.10-4.fc6
Nov 29 22:57:36 Yum update session completed

Once you have those details embedded into the logs its a simple matter to scrape
that data to format some nice information to the user.
Comment 3 Jeremy Katz 2007-04-02 11:04:31 EDT
Scraping is almost never the answer if you want to provide nice information to
the user as with locales, etc it's incredibly painful to do in a consistent fashion.

All of the logging that's done is being directly done via yum; if you want to
see changes in what it logs, I'd propose bringing it up on the upstream yum
devel list.
Comment 4 Karl Lattimer 2007-04-02 11:11:05 EDT
Rather than closing as wont-fix why not move it over to the Yum bugs, as I'm not
a yum-devel subscriber and am only posting this as a feature enhancement which
SHOULD be acknowledged and implemented. I do not have the time to spend
discussing these matters with the development team that should work on this. I
file bugs to help, not to inconvenience myself.

Note You need to log in before you can comment on or make changes to this bug.